<?php

/* *************************************************************************
 *
 * Copyright (c) by Andreas Unterkircher, unki@netshadow.at
 * All rights reserved
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * *************************************************************************/

require_once "phpfspot.class.php";

class PHPFSPOT_RPC {

   public function __construct()
   {

      session_start();

   } // __construct()

   function process_ajax_request()
   {

      require_once 'HTML/AJAX/Server.php';

      $server = new HTML_AJAX_Server();
      $server->handleRequest();

      $fspot = new PHPFSPOT();

      switch($_GET['action']) {
         case 'showphoto':

            $fspot->showPhoto($_GET['id']);
            break;
   
         case 'show_available_tags':

            $fspot->getAvailableTags();
            break;

         case 'show_selected_tags':

            $fspot->getSelectedTags();
            break;

         case 'addtag':

            $fspot->addTag($_GET['id']);
            break;

         case 'deltag':

            $fspot->delTag($_GET['id']);
            break;

         case 'resettags':

            $fspot->resetTags();
            break;

         case 'show_photo_index':

            $fspot->showPhotoIndex();
            break;

      }

   } // process_ajax_request();

}

$rpc = new PHPFSPOT_RPC();
$rpc->process_ajax_request();

?>
